Loading...
Searching...
No Matches
Cart3Convert.cpp File Reference

Command line utility for computing geodesics on a triaxial ellipsoid. More...

`#include <iostream>`
`#include <iomanip>`
`#include <string>`
`#include <sstream>`
`#include <fstream>`
`#include <GeographicLib/DMS.hpp>`
`#include <GeographicLib/Utility.hpp>`
`#include <GeographicLib/Angle.hpp>`
`#include <GeographicLib/Triaxial/Cartesian3.hpp>`
`#include "Cart3Convert.usage"`

Go to the source code of this file.

## Functions

int | main (int argc, const char *const argv[])

## Detailed Description

Command line utility for computing geodesics on a triaxial ellipsoid.

Copyright (c) Charles Karney (2024-2025) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

See the man page for usage information.

Definition in file Cart3Convert.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | const char *const | argv[] )

Definition at line 52 of file Cart3Convert.cpp.

References GeographicLib::AngleT< Math::real >::AzimuthString(), GeographicLib::AngleT< T >::c(), GeographicLib::AngleT< Math::real >::DecodeAzimuth(), GeographicLib::AngleT< Math::real >::DecodeLatLon(), GeographicLib::Math::extra_digits(), GeographicLib::Utility::fract(), GeographicLib::AngleT< Math::real >::LatLonString(), GeographicLib::AngleT< T >::n(), GeographicLib::Utility::set_digits(), GeographicLib::Utility::str(), GeographicLib::Constants::Triaxial_Earth_a(), GeographicLib::Constants::Triaxial_Earth_b(), GeographicLib::Constants::Triaxial_Earth_c(), usage(), and GeographicLib::Utility::val().